## org.flexdock.plaf.common.border
Class ShadowBorder

    java.lang.Object
      org.flexdock.plaf.common.border.ShadowBorder

All Implemented Interfaces:
  javax.swing.border.Border

    public class ShadowBorder

extends java.lang.Object
implements javax.swing.border.Border

Constructor Summary
`ShadowBorder()`

Method Summary
`java.awt.Insets` `getBorderInsets(java.awt.Component c)`
`boolean` `isBorderOpaque()`
`void` `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int w, int h)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShadowBorder

    public ShadowBorder()

Method Detail

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Specified by:
    `getBorderInsets` in interface `javax.swing.border.Border`

### isBorderOpaque

    public boolean isBorderOpaque()

  Specified by:
    `isBorderOpaque` in interface `javax.swing.border.Border`

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int w,
                            int h)

  Specified by:
    `paintBorder` in interface `javax.swing.border.Border`